#include "stdafx.h"
#include "Recruit.h"

void Recruit::_output(std::ostream& out) const
{
  TacticalAction::_output(out);

  out << (m_isInfinite?"Infinite-":"") << "Recruit(";
  
  for (std::map<BWAPI::UnitType, size_t>::const_iterator it = m_units.begin();
       it != m_units.end();
       ++it)
  {
    const std::pair<BWAPI::UnitType, size_t>& pair = *it;
    out << "[" << pair.first << ", " << pair.second << "]";
  }
  out << ", " << *m_location << ")";
}